object MainForm: TMainForm
  Left = 272
  Top = 119
  AutoScroll = False
  Caption = 'Astrokettle Algorithms - 1D Stock Cutting DLL Tester,  ver. 5.x'
  ClientHeight = 566
  ClientWidth = 898
  Color = clBtnFace
  Constraints.MinHeight = 490
  Constraints.MinWidth = 716
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -13
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  Scaled = False
  ShowHint = True
  OnCreate = FormCreate
  PixelsPerInch = 120
  TextHeight = 16
  object Label1: TLabel
    Left = 4
    Top = 50
    Width = 54
    Height = 16
    Caption = 'STOCKS'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clNavy
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  object Label2: TLabel
    Left = 4
    Top = 107
    Width = 46
    Height = 16
    Caption = 'PARTS'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clNavy
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  object ErrLab: TLabel
    Left = 4
    Top = 481
    Width = 40
    Height = 16
    Hint = 'Error code returned'
    Anchors = [akLeft, akBottom]
    Caption = 'ErrLab'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clRed
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  object UtilLab: TLabel
    Left = 4
    Top = 184
    Width = 42
    Height = 16
    Hint = 'Without Last Stock'
    Caption = 'UtilLab'
  end
  object WstLab: TLabel
    Left = 4
    Top = 244
    Width = 46
    Height = 16
    Hint = 'Without Last Stock'
    Caption = 'WstLab'
  end
  object CostLab: TLabel
    Left = 4
    Top = 224
    Width = 50
    Height = 16
    Hint = 'Without Last Stock'
    Caption = 'CostLab'
  end
  object LastNoLab: TLabel
    Left = 4
    Top = 264
    Width = 66
    Height = 16
    Caption = 'LastNoLab'
  end
  object LastWstLab: TLabel
    Left = 4
    Top = 284
    Width = 71
    Height = 16
    Caption = 'LastWstLab'
  end
  object LeftLab: TLabel
    Left = 4
    Top = 130
    Width = 44
    Height = 16
    Hint = 'Without Last Stock'
    Caption = 'LeftLab'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  object ContLab: TLabel
    Left = 4
    Top = 73
    Width = 50
    Height = 16
    Hint = 'Without Last Stock'
    Caption = 'ContLab'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  object VolLab: TLabel
    Left = 4
    Top = 204
    Width = 65
    Height = 16
    Hint = 'Without Last Stock'
    Caption = 'UsdLthLab'
  end
  object SawLab: TLabel
    Left = 4
    Top = 324
    Width = 49
    Height = 16
    Caption = 'SawLab'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clGray
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  object EndLab: TLabel
    Left = 4
    Top = 344
    Width = 47
    Height = 16
    Caption = 'EndLab'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clGray
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  object LayCutLab: TLabel
    Left = 4
    Top = 304
    Width = 59
    Height = 16
    Caption = 'Lays/Cuts'
  end
  object Label3: TLabel
    Left = 582
    Top = 8
    Width = 65
    Height = 16
    Anchors = [akTop, akRight]
    Caption = 'Part arrays'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clNavy
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  object Label4: TLabel
    Left = 750
    Top = 8
    Width = 75
    Height = 16
    Anchors = [akTop, akRight]
    Caption = 'Stock arrays'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clNavy
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  object CritLab: TLabel
    Left = 4
    Top = 164
    Width = 42
    Height = 16
    Hint = 'Without Last Stock'
    Caption = 'CritLab'
  end
  object ExamplLab: TLabel
    Left = 30
    Top = 372
    Width = 53
    Height = 16
    Caption = 'Example'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clTeal
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  object RunButton: TButton
    Left = 8
    Top = 8
    Width = 132
    Height = 25
    Hint = 'Call DLL to solve this task'
    Caption = 'Call  Proc'
    Default = True
    TabOrder = 0
    OnClick = RunButtonClick
  end
  object CntGrid: TStringGrid
    Left = 146
    Top = 8
    Width = 386
    Height = 90
    Hint = 'Stock sizes and quantities'
    Anchors = [akLeft, akTop, akRight]
    ColCount = 11
    DefaultColWidth = 39
    DefaultRowHeight = 20
    RowCount = 3
    Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goRangeSelect, goEditing]
    ScrollBars = ssHorizontal
    TabOrder = 2
    RowHeights = (
      20
      20
      22)
  end
  object BoxGrid: TStringGrid
    Left = 146
    Top = 103
    Width = 386
    Height = 88
    Hint = 'Part sizes and quantities'
    Anchors = [akLeft, akTop, akRight]
    ColCount = 11
    DefaultColWidth = 39
    DefaultRowHeight = 20
    RowCount = 3
    Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goRangeSelect, goEditing]
    ScrollBars = ssHorizontal
    TabOrder = 3
    RowHeights = (
      20
      20
      20)
  end
  object StockTotEd: TEdit
    Left = 60
    Top = 47
    Width = 38
    Height = 24
    Hint = 'Stock item total number'
    TabStop = False
    ReadOnly = True
    TabOrder = 4
    Text = 'StockTotEd'
  end
  object PartTotEd: TEdit
    Left = 54
    Top = 104
    Width = 44
    Height = 24
    Hint = 'Part item total number'
    TabStop = False
    ReadOnly = True
    TabOrder = 5
    Text = 'PartTotEd'
  end
  object ResultGrid: TStringGrid
    Left = 146
    Top = 198
    Width = 386
    Height = 360
    Hint = 'Used stock layouts'
    TabStop = False
    Anchors = [akLeft, akTop, akRight, akBottom]
    ColCount = 4
    DefaultColWidth = 36
    DefaultRowHeight = 20
    RowCount = 51
    TabOrder = 6
  end
  object StockButton: TButton
    Left = 100
    Top = 48
    Width = 42
    Height = 22
    Hint = 'Reset stock table'
    Caption = 'reset'
    TabOrder = 7
    TabStop = False
    OnClick = StockButtonClick
  end
  object PartButton: TButton
    Left = 100
    Top = 105
    Width = 42
    Height = 22
    Hint = 'Reset part table'
    Caption = 'reset'
    TabOrder = 8
    TabStop = False
    OnClick = PartButtonClick
  end
  object ArrBoxGrid: TStringGrid
    Left = 538
    Top = 30
    Width = 140
    Height = 530
    Hint = 'DLL return array arguments'
    TabStop = False
    Anchors = [akTop, akRight, akBottom]
    ColCount = 3
    DefaultColWidth = 32
    DefaultRowHeight = 20
    RowCount = 50
    TabOrder = 9
  end
  object CloseBut: TButton
    Left = 8
    Top = 534
    Width = 132
    Height = 25
    Hint = 'Exit program (Esc)'
    Anchors = [akLeft, akBottom]
    Cancel = True
    Caption = 'Close'
    TabOrder = 10
    TabStop = False
    OnClick = CloseButClick
  end
  object RadioButtonG: TRadioButton
    Left = 8
    Top = 426
    Width = 105
    Height = 17
    Hint = 'Choose the DLL procedure'
    Caption = 'Y1DPackG()'
    Checked = True
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clTeal
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
    TabOrder = 11
    TabStop = True
  end
  object RadioButtonB: TRadioButton
    Left = 8
    Top = 406
    Width = 105
    Height = 17
    Hint = 'Choose the DLL procedure'
    Caption = 'Y1DPackB()'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clTeal
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
    TabOrder = 12
  end
  object VerButton: TButton
    Left = 69
    Top = 478
    Width = 71
    Height = 22
    Hint = 'Get the DLL version'
    Anchors = [akLeft, akBottom]
    Caption = 'DLL Ver?'
    TabOrder = 13
    TabStop = False
    OnClick = VerButtonClick
  end
  object ArrCntGrid: TStringGrid
    Left = 684
    Top = 30
    Width = 210
    Height = 530
    Hint = 'DLL return array arguments'
    TabStop = False
    Anchors = [akTop, akRight, akBottom]
    DefaultColWidth = 32
    DefaultRowHeight = 20
    RowCount = 50
    TabOrder = 14
  end
  object IniExEdit: TEdit
    Left = 92
    Top = 368
    Width = 28
    Height = 24
    TabStop = False
    ReadOnly = True
    TabOrder = 15
    Text = '0'
  end
  object IniExUpDown: TUpDown
    Left = 120
    Top = 368
    Width = 20
    Height = 24
    Associate = IniExEdit
    Min = -1
    Max = 10
    Position = 0
    TabOrder = 1
    Wrap = False
    OnClick = IniExUpDownClick
  end
  object RunTextsButton: TButton
    Left = 69
    Top = 506
    Width = 71
    Height = 22
    Anchors = [akLeft, akBottom]
    Caption = 'RunTexts'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
    TabOrder = 16
    OnClick = RunTextsButtonClick
  end
  object RadioButtonSRS: TRadioButton
    Left = 8
    Top = 446
    Width = 113
    Height = 17
    Caption = 'Y1DScanG()'
    Enabled = False
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clOlive
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
    TabOrder = 17
  end
end
